Make file info editable
Closed, ResolvedPublic

Description

As a first version, we go with a plain textfield for editing the latest revision of the fileinfo. The button label should be "Change file info".

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 24 2017, 12:50 PM
WMDE-Fisch claimed this task.
Tobi_WMDE_SW updated the task description. (Show Details)Jul 25 2017, 3:10 PM

Change 367898 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/FileImporter@master] [WIP] Make file info editable

https://gerrit.wikimedia.org/r/367898

Addshore claimed this task.Aug 25 2017, 9:34 AM
Addshore added a project: User-Addshore.
Addshore moved this task from Backlog to In Progress on the User-Addshore board.

Change 373867 had a related patch set (by Addshore) published:
[mediawiki/core@master] Factor Utf8 editing stuff out of EditPage for external use

https://gerrit.wikimedia.org/r/373867

Change 367898 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Make file info editable

https://gerrit.wikimedia.org/r/367898

Addshore closed this task as Resolved.Aug 31 2017, 9:15 AM

Change 373867 abandoned by Legoktm:
Factor Utf8 editing stuff out of EditPage for external use

Reason:
Feature killed

https://gerrit.wikimedia.org/r/373867